LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XEventAttacher2 Interface Reference

`import"XEventAttacher2.idl";`

Inheritance diagram for XEventAttacher2:

## Public Member Functions
sequence< com::sun::star::lang::XEventListener > | attachMultipleEventListeners ([in] com::sun::star::uno::XInterface xTarget, [in] sequence< com::sun::star::script::EventListener > aListeners) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::IntrospectionException, com::sun::star::script::CannotCreateAdapterException, com::sun::star::lang::ServiceNotRegisteredException )
| Register a multiple set of listeners listening for the same target. More...
Public Member Functions inherited from XEventAttacher
com::sun::star::lang::XEventListener | attachListener ([in] com::sun::star::uno::XInterface xTarget, [in] com::sun::star::script::XAllListener xAllListener, [in] any aHelper, [in] string aListenerType, [in] string aAddListenerParam) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::IntrospectionException, com::sun::star::script::CannotCreateAdapterException, com::sun::star::lang::ServiceNotRegisteredException )
| registers the given "AllListener" object as a listener at the given interface by creating a suitable listener adapter and calling the "addListener" method corresponding to the "ListenerType". More...
com::sun::star::lang::XEventListener | attachSingleEventListener ([in] com::sun::star::uno::XInterface xTarget, [in] com::sun::star::script::XAllListener xAllListener, [in] any aHelper, [in] string aListenerType, [in] string aAddListenerParam, [in] string aEventMethod) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::IntrospectionException, com::sun::star::script::CannotCreateAdapterException, com::sun::star::lang::ServiceNotRegisteredException )
| registers an object as a listener at the given interface by creating a suitable listener adapter and calling the method which corresponds to the listener type. More...
void | removeListener ([in] com::sun::star::uno::XInterface xTarget, [in] string aListenerType, [in] string aRemoveListenerParam, [in] com::sun::star::lang::XEventListener xToRemoveListener) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::IntrospectionException )
| removes a listener object as a listener from the given interface. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ attachMultipleEventListeners()

sequence< com::sun::star::lang::XEventListener > attachMultipleEventListeners | ( | [in] com::sun::star::uno::XInterface | xTarget,
|  | [in] sequence< com::sun::star::script::EventListener > | aListeners
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::beans::IntrospectionException,
|  | com::sun::star::script::CannotCreateAdapterException,
|  | com::sun::star::lang::ServiceNotRegisteredException
| ) |  |

Register a multiple set of listeners listening for the same target.

Besides passing multiple listeners, the behavior of this method is identical to that of attachSingleEventListener().

See also
  com::sun::star::script::XEventAttacher::attachSingleEventListener

The documentation for this interface was generated from the following file:

- com/sun/star/script/XEventAttacher2.idl